'FFSubmenu=FixUndFertig
'FFName=9x13 300dpi V1.1
'FFPath=9x13x300.vbs

' Skalieren auf nchstkleineres Format (max. 1500x1050),
' weissen Rand bis 1525x1076 hinzufgen, wenn vorhanden
' EXIF-Datum, -Uhrzeit, -Model auf den Rand drucken und
' Datei mit Prfix "r" plus Suffix "9x13" oder "13x9"
' in dasselbe Verzeichnis wie das Quellbild ablegen.

' Achtung, zur Zeit gibts noch keine Fehlerbehandlung.

dim color, i
dim fso, path, dir, file, ext
dim praefix, suffix
dim amax, bmax, a, b
dim xmax, ymax, x, y
dim rot
dim dpi
dim info
dim imagenum

set fso = CreateObject("Scripting.FileSystemObject")
dpi     = 300
amax    = 1525
a       = 1500
bmax    = 1076
b       = 1050

color   = 255
qjpeg   = 98
praefix = "r"

imagenum = FF_GetImageCount
for i = 0 to imagenum - 1
  path = FF_GetImageName(i)
  call FF_LoadImage(path)
 
' setzen von Hhe, Breite und Text nach Quer- oder Hochformat
  if FF_GetImageHeight > FF_GetImageWidth then
    xmax = bmax
    x    = b
    ymax = amax
    y    = a
    FF_TextAlign(8)
    rot  = 0
    suffix  = "_9x13"
  else
    xmax = amax
    x    = a
    ymax = bmax
    y    = b
    FF_TextAlign(0)
    rot  = 2700
    suffix  = "_13x9"
  end if  

' Skalieren mit "Fixfoto"-Filter und Rand hinzufgen  
  call FF_HQScale(x,y,true)
  call FF_ExtendCanvas((xmax - FF_GetImageWidth)/2,0,(ymax - FF_GetImageHeight)/2,0,color,color,color)
  call FF_ExtendCanvas(0,(xmax - FF_GetImageWidth),0,(ymax - FF_GetImageHeight),color,color,color)
    
'  call FF_Xe847(90)
  call FF_SetDPI(300)

' Eintrge aus dem EXIF-Daten auf den linken oder unteren Rand schreiben      
  if FF_HasExif then
    call FF_SetExifTag("Xresolution", "300.000000")
    call FF_SetExifTag("Yresolution", "300.000000")   
    info = FF_GetExiftag("DateTime") & " 300dpi " & FF_GetExiftag("Model")
    call FF_DrawText(info,22,ymax-22,20,rot,400,false,false,"Courier New",0)
  end if

  call SplitPath(path,dir,file,ext)
  call FF_SaveImage(dir & praefix & file & suffix & ext,qjpeg)
  call FF_SetProgress(i+1, imagenum)
next

' teilt bergebenen Pfad auf
sub SplitPath(path, byref dir, byref file, byref ext)
  dir  = fso.GetParentFolderName(path) & "\"
  file = fso.GetBaseName(path)
  ext  = "." & fso.GetExtensionName(path)
end sub